Skip to main content
POST
/
api
/
v1
/
knowledge-bases
/
{knowledge_base_id}
/
sources
/
add
Add Knowledge Base Sources
curl --request POST \
  --url https://colloqui-web-develop-btoadh.laravel.cloud/api/v1/knowledge-bases/{knowledge_base_id}/sources/add \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: multipart/form-data' \
  --form 'files=<string>' \
  --form files.items='@example-file'
{
  "data": {
    "id": "01kqh44eyxxj6hmxzx9ntpsj11",
    "name": "eius et animi",
    "texts": [],
    "urls": [],
    "files": [],
    "created_at": "2026-05-01T06:38:04+00:00",
    "updated_at": "2026-05-01T06:38:04+00:00",
    "workspace_id": "01kqh44eyg8hwjay1v7qhca6xz"
  }
}

Documentation Index

Fetch the complete documentation index at: https://cooloquiptyltd.mintlify.app/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

Bearer token authentication

Path Parameters

knowledge_base_id
string
required

The ID of the knowledge base.

Body

multipart/form-data
texts
object[]
Example:
[]
files
file[]

Must be a file. Must not be greater than 102400 kilobytes.

urls
object[]
Example:
[]

Response

200 - application/json
data
object